diff --git a/doc/pub/summary/html/._summary-bs000.html b/doc/pub/summary/html/._summary-bs000.html
new file mode 100644
index 000000000..588acffcb
--- /dev/null
+++ b/doc/pub/summary/html/._summary-bs000.html
@@ -0,0 +1,181 @@
+
+
+
+
+
+
+
+Summary of course
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
Summary of course
+
+
+
+
+
+Morten Hjorth-Jensen Email morten.hjorth-jensen@fys.uio.no [1, 2]
+
+
+
+
+
+
[1] Department of Physics and Center of Mathematics for Applications, University of Oslo
+
[2] National Superconducting Cyclotron Laboratory, Michigan State University
+
+
+
Nov 28, 2018
+
+
+
+
+
Read »
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+ © 1999-2018, Morten Hjorth-Jensen Email morten.hjorth-jensen@fys.uio.no. Released under CC Attribution-NonCommercial 4.0 license
+
+
+
+
+
+
+
diff --git a/doc/pub/summary/html/._summary-bs001.html b/doc/pub/summary/html/._summary-bs001.html
new file mode 100644
index 000000000..51efc8346
--- /dev/null
+++ b/doc/pub/summary/html/._summary-bs001.html
@@ -0,0 +1,158 @@
+
+
+
+
+
+
+
+Summary of course
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
What? Me worry? No final exam in this course!
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
diff --git a/doc/pub/summary/html/._summary-bs002.html b/doc/pub/summary/html/._summary-bs002.html
new file mode 100644
index 000000000..a03ab436e
--- /dev/null
+++ b/doc/pub/summary/html/._summary-bs002.html
@@ -0,0 +1,163 @@
+
+
+
+
+
+
+
+Summary of course
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
diff --git a/doc/pub/summary/html/._summary-bs003.html b/doc/pub/summary/html/._summary-bs003.html
new file mode 100644
index 000000000..8f2ec5b34
--- /dev/null
+++ b/doc/pub/summary/html/._summary-bs003.html
@@ -0,0 +1,162 @@
+
+
+
+
+
+
+
+Summary of course
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
Topics we have covered this year
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
diff --git a/doc/pub/summary/html/._summary-bs004.html b/doc/pub/summary/html/._summary-bs004.html
new file mode 100644
index 000000000..ee42b7e9f
--- /dev/null
+++ b/doc/pub/summary/html/._summary-bs004.html
@@ -0,0 +1,156 @@
+
+
+
+
+
+
+
+Summary of course
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
Linear algebra and eigenvalue problems, chapters 6.1-6.5 and 7.1-7.5
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
diff --git a/doc/pub/summary/html/._summary-bs005.html b/doc/pub/summary/html/._summary-bs005.html
new file mode 100644
index 000000000..97bacc79d
--- /dev/null
+++ b/doc/pub/summary/html/._summary-bs005.html
@@ -0,0 +1,156 @@
+
+
+
+
+
+
+
+Summary of course
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
Learning outcomes and overarching aims of this course
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
diff --git a/doc/pub/summary/html/._summary-bs006.html b/doc/pub/summary/html/._summary-bs006.html
new file mode 100644
index 000000000..f27162e38
--- /dev/null
+++ b/doc/pub/summary/html/._summary-bs006.html
@@ -0,0 +1,164 @@
+
+
+
+
+
+
+
+Summary of course
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
Additional learning outcomes
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
diff --git a/doc/pub/summary/html/._summary-bs007.html b/doc/pub/summary/html/._summary-bs007.html
new file mode 100644
index 000000000..44dc33dae
--- /dev/null
+++ b/doc/pub/summary/html/._summary-bs007.html
@@ -0,0 +1,156 @@
+
+
+
+
+
+
+
+Summary of course
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
Other courses on Data science and Machine Learning at UiO
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
diff --git a/doc/pub/summary/html/._summary-bs008.html b/doc/pub/summary/html/._summary-bs008.html
new file mode 100644
index 000000000..236f8bc96
--- /dev/null
+++ b/doc/pub/summary/html/._summary-bs008.html
@@ -0,0 +1,159 @@
+
+
+
+
+
+
+
+Summary of course
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
Best wishes to you all and thanks so much for your heroic efforts this semester
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
diff --git a/doc/src/Summary/clean.sh b/doc/src/Summary/clean.sh
new file mode 100755
index 000000000..2e5da2c72
--- /dev/null
+++ b/doc/src/Summary/clean.sh
@@ -0,0 +1,3 @@
+#!/bin/sh
+doconce clean
+rm -rf *.pdf *.tex ipynb*.tar.gz *.html ._*.html *~ reveal.js Trash README.txt
diff --git a/doc/src/Summary/figures/Nebbdyr2.pdf b/doc/src/Summary/figures/Nebbdyr2.pdf
new file mode 100755
index 000000000..b830726fb
Binary files /dev/null and b/doc/src/Summary/figures/Nebbdyr2.pdf differ
diff --git a/doc/src/Summary/figures/Nebbdyr2.png b/doc/src/Summary/figures/Nebbdyr2.png
new file mode 100644
index 000000000..a21b0cb99
Binary files /dev/null and b/doc/src/Summary/figures/Nebbdyr2.png differ
diff --git a/doc/src/Summary/figures/exam1.jpeg b/doc/src/Summary/figures/exam1.jpeg
new file mode 100644
index 000000000..ba4c2edba
Binary files /dev/null and b/doc/src/Summary/figures/exam1.jpeg differ
diff --git a/doc/src/Summary/figures/exam2.jpg b/doc/src/Summary/figures/exam2.jpg
new file mode 100644
index 000000000..e48127f98
Binary files /dev/null and b/doc/src/Summary/figures/exam2.jpg differ
diff --git a/doc/src/Summary/figures/whatmeworry.jpeg b/doc/src/Summary/figures/whatmeworry.jpeg
new file mode 100644
index 000000000..429988ffa
Binary files /dev/null and b/doc/src/Summary/figures/whatmeworry.jpeg differ
diff --git a/doc/src/Summary/make.sh b/doc/src/Summary/make.sh
new file mode 100755
index 000000000..d908b90b9
--- /dev/null
+++ b/doc/src/Summary/make.sh
@@ -0,0 +1,95 @@
+#!/bin/sh
+set -x
+
+function system {
+ "$@"
+ if [ $? -ne 0 ]; then
+ echo "make.sh: unsuccessful command $@"
+ echo "abort!"
+ exit 1
+ fi
+}
+
+if [ $# -eq 0 ]; then
+echo 'bash make.sh slides1|slides2'
+exit 1
+fi
+
+name=$1
+rm -f *.tar.gz
+
+opt="--encoding=utf-8"
+# Note: Makefile examples contain constructions like ${PROG} which
+# looks like Mako constructions, but they are not. Use --no_mako
+# to turn off Mako processing.
+opt="--no_mako"
+
+rm -f *.aux
+
+
+html=${name}-reveal
+system doconce format html $name --pygments_html_style=perldoc --keep_pygments_html_bg --html_links_in_new_window --html_output=$html $opt
+system doconce slides_html $html reveal --html_slide_theme=beige
+
+# Plain HTML documents
+
+html=${name}-solarized
+system doconce format html $name --pygments_html_style=perldoc --html_style=solarized3 --html_links_in_new_window --html_output=$html $opt
+system doconce split_html $html.html --method=space10
+
+html=${name}
+system doconce format html $name --pygments_html_style=default --html_style=bloodish --html_links_in_new_window --html_output=$html $opt
+system doconce split_html $html.html --method=space10
+
+# Bootstrap style
+html=${name}-bs
+system doconce format html $name --html_style=bootstrap --pygments_html_style=default --html_admon=bootstrap_panel --html_output=$html $opt
+system doconce split_html $html.html --method=split --pagination --nav_button=bottom
+
+# IPython notebook
+system doconce format ipynb $name $opt
+
+
+# Ordinary plain LaTeX document
+rm -f *.aux # important after beamer
+system doconce format pdflatex $name --minted_latex_style=trac --latex_admon=paragraph $opt
+system doconce ptex2tex $name envir=minted
+# Add special packages
+doconce subst "% Add user's preamble" "\g<1>\n\\usepackage{simplewick}" $name.tex
+doconce replace 'section{' 'section*{' $name.tex
+pdflatex -shell-escape $name
+pdflatex -shell-escape $name
+mv -f $name.pdf ${name}-minted.pdf
+cp $name.tex ${name}-plain-minted.tex
+
+
+
+# Publish
+dest=../../pub
+if [ ! -d $dest/$name ]; then
+mkdir $dest/$name
+mkdir $dest/$name/pdf
+mkdir $dest/$name/html
+mkdir $dest/$name/ipynb
+fi
+cp ${name}*.pdf $dest/$name/pdf
+cp -r ${name}*.html ._${name}*.html reveal.js $dest/$name/html
+
+# Figures: cannot just copy link, need to physically copy the files
+if [ -d fig-${name} ]; then
+if [ ! -d $dest/$name/html/fig-$name ]; then
+mkdir $dest/$name/html/fig-$name
+fi
+cp -r fig-${name}/* $dest/$name/html/fig-$name
+fi
+
+cp ${name}.ipynb $dest/$name/ipynb
+ipynb_tarfile=ipynb-${name}-src.tar.gz
+if [ ! -f ${ipynb_tarfile} ]; then
+cat > README.txt <
diff --git a/doc/web/course.html b/doc/web/course.html
index 1e8b55590..675973cce 100644
--- a/doc/web/course.html
+++ b/doc/web/course.html
@@ -105,30 +105,31 @@ div { text-align: justify; text-justify: inter-word; }
None,
'___sec16'),
('Elements of Bayesian theory', 2, None, '___sec17'),
- ('Python and Scikit Learn, a short guide', 2, None, '___sec18'),
- ('Teach yourself C++', 2, None, '___sec19'),
- ('Projects and Exercises Fall 2018', 2, None, '___sec20'),
- ('First homework set, week 35', 3, None, '___sec21'),
- ('Second homework set, week 36', 3, None, '___sec22'),
- ('Project 1, Deadline October 1', 3, None, '___sec23'),
- ('Project 2, Deadline November 5', 3, None, '___sec24'),
- ('Project 3, Deadline December 14', 3, None, '___sec25'),
- ('Course content', 3, None, '___sec26'),
- ('Learning outcomes', 2, None, '___sec27'),
- ('Prerequisites', 2, None, '___sec28'),
- ('The course has two central parts', 2, None, '___sec29'),
+ ('Summary', 2, None, '___sec18'),
+ ('Python and Scikit Learn, a short guide', 2, None, '___sec19'),
+ ('Teach yourself C++', 2, None, '___sec20'),
+ ('Projects and Exercises Fall 2018', 2, None, '___sec21'),
+ ('First homework set, week 35', 3, None, '___sec22'),
+ ('Second homework set, week 36', 3, None, '___sec23'),
+ ('Project 1, Deadline October 1', 3, None, '___sec24'),
+ ('Project 2, Deadline November 5', 3, None, '___sec25'),
+ ('Project 3, Deadline December 14', 3, None, '___sec26'),
+ ('Course content', 3, None, '___sec27'),
+ ('Learning outcomes', 2, None, '___sec28'),
+ ('Prerequisites', 2, None, '___sec29'),
+ ('The course has two central parts', 2, None, '___sec30'),
('Statistical analysis and optimization of data',
3,
None,
- '___sec30'),
- ('Machine learning', 3, None, '___sec31'),
- ('Recommended textbooks', 2, None, '___sec32'),
+ '___sec31'),
+ ('Machine learning', 3, None, '___sec32'),
+ ('Recommended textbooks', 2, None, '___sec33'),
('"Other '
'textbooks":"https://github.com/CompPhysics/MachineLearning/tree/master/doc/Textbooks"',
2,
None,
- '___sec33'),
- ('Teaching schedule Fall 2018', 2, None, '___sec34')]}
+ '___sec34'),
+ ('Teaching schedule Fall 2018', 2, None, '___sec35')]}
end of tocinfo -->
@@ -713,9 +714,38 @@ formulas in HTML or ipython notebook files.
+Summary
+
+
+ LaTeX PDF:
+
+
+
+ HTML:
+
+
+
+ Jupyter notebook:
+
+
+
+
+
-Python and Scikit Learn, a short guide
+Python and Scikit Learn, a short guide
HTML format only:
@@ -728,7 +758,7 @@ formulas in HTML or ipython notebook files.
-Teach yourself C++
+Teach yourself C++
HTML format only:
@@ -741,9 +771,9 @@ formulas in HTML or ipython notebook files.
-Projects and Exercises Fall 2018
+Projects and Exercises Fall 2018
-First homework set, week 35
+First homework set, week 35
LaTeX and PDF:
@@ -762,7 +792,7 @@ formulas in HTML or ipython notebook files.
-Second homework set, week 36
+Second homework set, week 36
LaTeX and PDF:
@@ -781,7 +811,7 @@ formulas in HTML or ipython notebook files.
-Project 1, Deadline October 1
+Project 1, Deadline October 1
LaTeX and PDF:
@@ -800,7 +830,7 @@ formulas in HTML or ipython notebook files.
-Project 2, Deadline November 5
+Project 2, Deadline November 5
LaTeX and PDF:
@@ -819,7 +849,7 @@ formulas in HTML or ipython notebook files.
-Project 3, Deadline December 14
+Project 3, Deadline December 14
LaTeX and PDF:
@@ -838,7 +868,7 @@ formulas in HTML or ipython notebook files.
-Course content
+Course content
Probability theory and statistical methods play a central role in science. Nowadays we are
@@ -857,7 +887,7 @@ tools of probability theory, the aim of this course is to expose you to central
This course covers thus topics like Monte Carlo methods and Markov chains, Bayesian statistics, error estimates, various linear methods, optimization of data and error analysis and central algorithms in machine learning.
The course has several numerical projects and numerical exercises that are meant to illustrate the theory.
-
Learning outcomes
+Learning outcomes
The course introduces a variety of central algorithms and methods
@@ -874,19 +904,19 @@ essential for studies of data analysis and machine learning. The course is proje
Work on numerical projects to illustrate the theory. The projects play a central role and students are expected to know modern programming languages like Python or C++.
-Prerequisites
+Prerequisites
Basic knowledge in programming and numerics. Required courses are the equivalents to the University of Oslo mathematics courses MAT1100, MAT1110, MAT1120 and at least one of the corresponding computing and programming courses INF1000/INF1110 or MAT-INF1100/MAT-INF1100L/BIOS1100/KJM-INF1xxx.
-
The course has two central parts
+The course has two central parts
Statistical analysis and optimization of data
Machine learning
-Statistical analysis and optimization of data
+Statistical analysis and optimization of data
The following topics will be covered
@@ -903,7 +933,7 @@ The following topics will be covered
Practical optimization using Singular-value decomposition and least squares for parameterizing data.
-Machine learning
+Machine learning
The following topics will be covered
@@ -919,14 +949,14 @@ The following topics will be covered
All the above topics will be supported by examples, hands-on exercises and project work.
-
Recommended textbooks
+Recommended textbooks
-
+
General learning book on statistical analysis :
@@ -948,7 +978,7 @@ All the above topics will be supported by examples, hands-on exercises and proje
-
Teaching schedule Fall 2018
+Teaching schedule Fall 2018
Acronyms for textbooks and references to chapter